      subroutine td2ut_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     td2ut_drv.
!
!     B. Knapp, 2002-12-18
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external td2ut_drv
!
      call td2ut_drv( %val(argv(1)), %val(argv(2)), %val(argv(3)) )
!
      return
      end

      subroutine td2ut_drv( n, td, ut )
!
!     Driver interface (for use by IDL call_external) to function
!     td2ut.
!
!     B. Knapp, 2002-12-18
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 td(n)
!
!     Output:
      real*8 ut(n)
!
!     External functions, subroutines
      real*8 td2ut
      external td2ut

!     Local:
      integer*4 j
!
      do j=1,n
         ut(j) = td2ut( td(j) )
      enddo
      return
      end
